%global momorel 7
%global __libtoolize :

%global xfce4ver 4.6.0
%global thunarver 1.0.0

Name:           thunar-media-tags-plugin
Version:        0.1.2
Release:	%{momorel}m%{?dist}
Summary:        Media Tags plugin for the Thunar file manager
Group:          User Interface/Desktops
License:        GPL
URL:            http://goodies.xfce.org/projects/thunar-plugins/%{name}
Source0:        http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  Thunar-devel >= %{thunarver}
BuildRequires:  libxfcegui4-devel >= %{xfce4ver}
BuildRequires:  libxml2-devel, gettext, perl-XML-Parser
BuildRequires:  taglib-devel >= 1.5
Requires:       Thunar >= %{thunarver}

%description
This plugin adds special features for media files to the Thunar file manager.
It includes a special media file page for the file properties dialog, a tag 
editor for ID3 or OGG/Vorbis tags and a so-called bulk renamer, which allows 
users to rename multiple audio files at once, based on their tags.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm %{buildroot}%{_libdir}/thunarx-1/%{name}.la
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/thunarx-1/%{name}.so

%changelog
* Mon May 18 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.1.2-7m)
- add __libtoolize

* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.2-6m)
- rebuild against xfce4-4.6

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.2-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.2-4m)
- rebuild against gcc43

* Mon Dec  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.2-3m)
- rebuild against xfce4 4.4.2

* Fri Apr 20 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.2-2m)
- rebuild against xfce4 4.4.1

* Mon Jan 29 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.2-1m)
- import to Momonga from fc

* Mon Jan 22 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.2-2
- Rebuild for Thunar 0.8.0.

* Sat Jan 20 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.2-1
- Update to 0.1.2.

* Sat Nov 11 2006 Christoph Wickert <fedora christoph-wickert de> - 0.1.1-1
- Initial Fedora Extras Version.
